base-compat-0.10.5: A compatibility layer for base

Safe Haskell | Trustworthy
Language | Haskell98

Data.Type.Coercion.Compat

Synopsis

- module Data.Type.Coercion
- gcoerceWith :: Coercion a b -> (Coercible a b -> r) -> r

# Documentation

module Data.Type.Coercion

gcoerceWith :: Coercion a b -> (Coercible a b -> r) -> r Source #

Generalized form of type-safe cast using representational equality

Since: base-4.10.0.0